
QGIS Application - Bug report #12476

Manual legends in composer from 2.4 and older are reset in 2.6 and >

2015-03-30 02:52 AM - Regis Haubourg

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 20624

Description

manually modified legends in composers made in 2.4 or older versions are reset in 2.6 versions and older. 

That breaks a lot a maps where legend is often a big piece of work. 

This is related to legend refactoring.

History

#1 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#2 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

#3 - 2016-06-22 06:30 AM - Jürgen Fischer

- Assignee deleted (Martin Dobias)

#4 - 2017-01-05 10:37 AM - Giovanni Manghi

- Status changed from Open to Feedback

This looks like very much one of those tickets that no one will ever fix.

What is the status? Can we close?

#5 - 2017-01-05 03:21 PM - Nyall Dawson

I'd say given the age of 2.4 we can safely close this now.

#6 - 2017-01-05 11:18 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to wontfix

#7 - 2017-01-05 11:55 PM - Regis Haubourg

agreed with Nyall, the problem is still there but migration process is probably done for most users. 

cheers

Régis
